# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Devel/Declare.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Lexical/Alias.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/If.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Test/Pod/Coverage.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm) perl(lib/abs.pm) perl(uni/perl.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Variable-Eject
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Eject variables from hash to current namespace
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MO/MONS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
use Variable::Eject;

    my $hash = {
        scalar => 'scalar value',
        array  => [1..3],
        hash   => { my => 'value' },
    };

    # Now, eject vars from hash
    eject(
        $hash => $scalar, @array, %%hash,
    );

    # Let's look
    say $scalar;
    say @array;
    say keys %%hash;

    # Let's modify (source will be modified)
    $scalar .= ' modified';
    shift @array;
    $hash{another} = 1;


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/V*

%changelog
* Tue May 13 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

